import { jsx as t } from "@emotion/react/jsx-runtime";
import n, { createContext as m } from "react";
const i = m(null);
function c(r) {
  const { children: o, store: e } = r;
  return /* @__PURE__ */ t(i.Provider, { value: e, children: o });
}
const P = n.memo(c);
export {
  i as DynamicMFParmsContext,
  c as DynamicMFParmsProvider,
  P as MemonizedDynamicMFParmsProvider
};
